Subject: Re: [Cfrg] Cfrg Digest, Vol 136, Issue 27

From: "Robinson, Peter (RSA Engineering)" <[email-masked]>
Date: Thu, 25 Aug 2016 03:59:13 +0000

>>> Well, there is
>>> https://tools.ietf.org/html/draft-kaduk-kitten-des-des-des-die-die-di
>>> e-00 but it is not really what you are looking for, I think, given 
>>> the recipient list on the message.
>> 
>> I am particularly interested in 3DES's usage in TLS, given its 
>> previous MTI status in TLS, and because it was until very recently 
>> included in the OpenSSL "DEFAULT" ciphersuite list.
>
>I guess there's sometimes value in those die-die-die RFCs. Given that we have RFC7525/BCP195 [1] that 
>already has a SHOULD NOT for effective key sizes less than 128 bits, one could argue that the IETF has 
>covered that to a reasonable extent, in terms of RFCs saying to not do that.

The attack is practical because of the 64 bit block size of Triple DES. As such, perhaps the target of the "die-die-die RFC" should be all symmetric ciphers which use block sizes less than 128 bits.

Peter
------------------------------------------------
Peter Robinson - [email-masked]
RSA, The Security Division of EMC - http://www.rsa.com/